import { SVGElementAttrs, SVGCircleElementAttrs, SVGClipPathElementAttrs, SVGDefsElementAttrs, SVGDescElementAttrs, SVGEllipseElementAttrs, SVGFEBlendElementAttrs, SVGFEColorMatrixElementAttrs, SVGFEComponentTransferElementAttrs, SVGFECompositeElementAttrs, SVGFEConvolveMatrixElementAttrs, SVGFEDiffuseLightingElementAttrs, SVGFEDisplacementMapElementAttrs, SVGFEDistantLightElementAttrs, SVGFEFloodElementAttrs, SVGFEFuncAElementAttrs, SVGFEFuncBElementAttrs, SVGFEFuncGElementAttrs, SVGFEFuncRElementAttrs, SVGFEGaussianBlurElementAttrs, SVGFEImageElementAttrs, SVGFEMergeElementAttrs, SVGFEMergeNodeElementAttrs, SVGFEMorphologyElementAttrs, SVGFEOffsetElementAttrs, SVGFEPointLightElementAttrs, SVGFESpecularLightingElementAttrs, SVGFESpotLightElementAttrs, SVGFETileElementAttrs, SVGFETurbulenceElementAttrs, SVGFilterElementAttrs, SVGForeignObjectElementAttrs, SVGGElementAttrs, SVGImageElementAttrs, SVGLinearGradientElementAttrs, SVGLineElementAttrs, SVGMarkerElementAttrs, SVGMaskElementAttrs, SVGMetadataElementAttrs, SVGPathElementAttrs, SVGPatternElementAttrs, SVGPolygonElementAttrs, SVGPolylineElementAttrs, SVGRadialGradientElementAttrs, SVGRectElementAttrs, SVGStopElementAttrs, SVGSVGElementAttrs, SVGSymbolElementAttrs, SVGTextElementAttrs, SVGTextPathElementAttrs, SVGTSpanElementAttrs, SVGViewElementAttrs, SVGUseElementAttrs, AttributeDirective } from "ivi";
/**
 * XML_ATTR function creates an {@link AttributeDirective} that assigns an attribute from XML namespace, attribute name
 * is derived from the `key`.
 *
 * @example
 *
 *   const e = circle("", { "xml:text": XML_ATTR("abc") });
 *
 * @param v Value.
 * @returns {@link AttributeDirective}
 */
export declare const XML_ATTR: (v: string | number) => AttributeDirective<string | number>;
/**
 * XLINK_ATTR function creates an {@link AttributeDirective} that assigns an attribute from XLINK namespace, attribute
 * name is derived from the `key`.
 *
 * @example
 *
 *   const e = circle("", { "xlink:text": XLINK_ATTR("abc") });
 *
 * @param v Value.
 * @returns {@link AttributeDirective}
 */
export declare const XLINK_ATTR: (v: string | number) => AttributeDirective<string | number>;
/**
 * Creates OpNode SVG element <a>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/a}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <a>
 */
export declare const a: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <animate>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/animate}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <animate>
 */
export declare const animate: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <animateColor>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/animateColor}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <animateColor>
 */
export declare const animateColor: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <animateMotion>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/animateMotion}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <animateMotion>
 */
export declare const animateMotion: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <animateTransform>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/animateTransform}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <animateTransform>
 */
export declare const animateTransform: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <circle>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/circle}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <circle>
 */
export declare const circle: (className?: string | undefined, attrs?: SVGCircleElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGCircleElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <clipPath>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/clipPath}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <clipPath>
 */
export declare const clipPath: (className?: string | undefined, attrs?: SVGClipPathElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGClipPathElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <defs>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/defs}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <defs>
 */
export declare const defs: (className?: string | undefined, attrs?: SVGDefsElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGDefsElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <desc>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/desc}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <desc>
 */
export declare const desc: (className?: string | undefined, attrs?: SVGDescElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGDescElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <ellipse>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/ellipse}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <ellipse>
 */
export declare const ellipse: (className?: string | undefined, attrs?: SVGEllipseElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGEllipseElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feBlend>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feBlend}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feBlend>
 */
export declare const feBlend: (className?: string | undefined, attrs?: SVGFEBlendElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEBlendElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feColorMatrix>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feColorMatrix}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feColorMatrix>
 */
export declare const feColorMatrix: (className?: string | undefined, attrs?: SVGFEColorMatrixElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEColorMatrixElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feComponentTransfer>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feComponentTransfer}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feComponentTransfer>
 */
export declare const feComponentTransfer: (className?: string | undefined, attrs?: SVGFEComponentTransferElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEComponentTransferElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feComposite>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feComposite}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feComposite>
 */
export declare const feComposite: (className?: string | undefined, attrs?: SVGFECompositeElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFECompositeElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feConvolveMatrix>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feConvolveMatrix}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feConvolveMatrix>
 */
export declare const feConvolveMatrix: (className?: string | undefined, attrs?: SVGFEConvolveMatrixElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEConvolveMatrixElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feDiffuseLighting>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feDiffuseLighting}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feDiffuseLighting>
 */
export declare const feDiffuseLighting: (className?: string | undefined, attrs?: SVGFEDiffuseLightingElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEDiffuseLightingElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feDisplacementMap>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feDisplacementMap}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feDisplacementMap>
 */
export declare const feDisplacementMap: (className?: string | undefined, attrs?: SVGFEDisplacementMapElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEDisplacementMapElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feDistantLight>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feDistantLight}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feDistantLight>
 */
export declare const feDistantLight: (className?: string | undefined, attrs?: SVGFEDistantLightElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEDistantLightElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feDropShadow>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feDropShadow}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feDropShadow>
 */
export declare const feDropShadow: (className?: string | undefined, attrs?: SVGFEDisplacementMapElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEDisplacementMapElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feFlood>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feFlood}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feFlood>
 */
export declare const feFlood: (className?: string | undefined, attrs?: SVGFEFloodElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEFloodElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feFuncA>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feFuncA}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feFuncA>
 */
export declare const feFuncA: (className?: string | undefined, attrs?: SVGFEFuncAElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEFuncAElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feFuncB>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feFuncB}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feFuncB>
 */
export declare const feFuncB: (className?: string | undefined, attrs?: SVGFEFuncBElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEFuncBElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feFuncG>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feFuncG}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feFuncG>
 */
export declare const feFuncG: (className?: string | undefined, attrs?: SVGFEFuncGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEFuncGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feFuncR>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feFuncR}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feFuncR>
 */
export declare const feFuncR: (className?: string | undefined, attrs?: SVGFEFuncRElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEFuncRElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feGaussianBlur>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feGaussianBlur}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feGaussianBlur>
 */
export declare const feGaussianBlur: (className?: string | undefined, attrs?: SVGFEGaussianBlurElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEGaussianBlurElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feImage>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feImage}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feImage>
 */
export declare const feImage: (className?: string | undefined, attrs?: SVGFEImageElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEImageElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feMerge>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feMerge}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feMerge>
 */
export declare const feMerge: (className?: string | undefined, attrs?: SVGFEMergeElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEMergeElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feMergeNode>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feMergeNode}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feMergeNode>
 */
export declare const feMergeNode: (className?: string | undefined, attrs?: SVGFEMergeNodeElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEMergeNodeElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feMorphology>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feMorphology}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feMorphology>
 */
export declare const feMorphology: (className?: string | undefined, attrs?: SVGFEMorphologyElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEMorphologyElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feOffset>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feOffset}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feOffset>
 */
export declare const feOffset: (className?: string | undefined, attrs?: SVGFEOffsetElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEOffsetElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <fePointLight>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/fePointLight}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <fePointLight>
 */
export declare const fePointLight: (className?: string | undefined, attrs?: SVGFEPointLightElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFEPointLightElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feSpecularLighting>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feSpecularLighting}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feSpecularLighting>
 */
export declare const feSpecularLighting: (className?: string | undefined, attrs?: SVGFESpecularLightingElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFESpecularLightingElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feSpotLight>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feSpotLight}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feSpotLight>
 */
export declare const feSpotLight: (className?: string | undefined, attrs?: SVGFESpotLightElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFESpotLightElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feTile>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feTile}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feTile>
 */
export declare const feTile: (className?: string | undefined, attrs?: SVGFETileElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFETileElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <feTurbulence>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/feTurbulence}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <feTurbulence>
 */
export declare const feTurbulence: (className?: string | undefined, attrs?: SVGFETurbulenceElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFETurbulenceElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <filter>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/filter}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <filter>
 */
export declare const filter: (className?: string | undefined, attrs?: SVGFilterElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGFilterElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <foreignObject>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/foreignObject}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <foreignObject>
 */
export declare const foreignObject: (className?: string | undefined, attrs?: SVGForeignObjectElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGForeignObjectElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <g>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/g}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <g>
 */
export declare const g: (className?: string | undefined, attrs?: SVGGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <hatch>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/hatch}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <hatch>
 */
export declare const hatch: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <hatchpath>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/hatchpath}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <hatchpath>
 */
export declare const hatchpath: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <image>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/image}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <image>
 */
export declare const image: (className?: string | undefined, attrs?: SVGImageElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGImageElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <line>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/line}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <line>
 */
export declare const line: (className?: string | undefined, attrs?: SVGLineElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGLineElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <linearGradient>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/linearGradient}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <linearGradient>
 */
export declare const linearGradient: (className?: string | undefined, attrs?: SVGLinearGradientElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGLinearGradientElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <marker>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/marker}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <marker>
 */
export declare const marker: (className?: string | undefined, attrs?: SVGMarkerElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGMarkerElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <mask>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/mask}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <mask>
 */
export declare const mask: (className?: string | undefined, attrs?: SVGMaskElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGMaskElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <mesh>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/mesh}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <mesh>
 */
export declare const mesh: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <meshgradient>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/meshgradient}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <meshgradient>
 */
export declare const meshgradient: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <meshpatch>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/meshpatch}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <meshpatch>
 */
export declare const meshpatch: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <meshrow>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/meshrow}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <meshrow>
 */
export declare const meshrow: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <metadata>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/metadata}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <metadata>
 */
export declare const metadata: (className?: string | undefined, attrs?: SVGMetadataElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGMetadataElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <mpath>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/mpath}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <mpath>
 */
export declare const mpath: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <path>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/path}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <path>
 */
export declare const path: (className?: string | undefined, attrs?: SVGPathElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGPathElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <pattern>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/pattern}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <pattern>
 */
export declare const pattern: (className?: string | undefined, attrs?: SVGPatternElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGPatternElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <polygon>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/polygon}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <polygon>
 */
export declare const polygon: (className?: string | undefined, attrs?: SVGPolygonElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGPolygonElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <polyline>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/polyline}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <polyline>
 */
export declare const polyline: (className?: string | undefined, attrs?: SVGPolylineElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGPolylineElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <radialGradient>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/radialGradient}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <radialGradient>
 */
export declare const radialGradient: (className?: string | undefined, attrs?: SVGRadialGradientElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGRadialGradientElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <rect>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/rect}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <rect>
 */
export declare const rect: (className?: string | undefined, attrs?: SVGRectElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGRectElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <set>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/set}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <set>
 */
export declare const set: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <solidcolor>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/solidcolor}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <solidcolor>
 */
export declare const solidcolor: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <stop>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/stop}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <stop>
 */
export declare const stop: (className?: string | undefined, attrs?: SVGStopElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGStopElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <svg>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/svg}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <svg>
 */
export declare const svg: (className?: string | undefined, attrs?: SVGSVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGSVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <symbol>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/symbol}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <symbol>
 */
export declare const symbol: (className?: string | undefined, attrs?: SVGSymbolElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGSymbolElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <text>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/text}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <text>
 */
export declare const text: (className?: string | undefined, attrs?: SVGTextElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGTextElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <textPath>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/textPath}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <textPath>
 */
export declare const textPath: (className?: string | undefined, attrs?: SVGTextPathElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGTextPathElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <title>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/title}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <title>
 */
export declare const title: (className?: string | undefined, attrs?: SVGElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <tspan>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/tspan}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <tspan>
 */
export declare const tspan: (className?: string | undefined, attrs?: SVGTSpanElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGTSpanElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <use>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/use}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <use>
 */
export declare const use: (className?: string | undefined, attrs?: SVGUseElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGUseElementAttrs | undefined>;
/**
 * Creates OpNode SVG element <view>.
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/SVG/Element/view}
 *
 * @param className Class name.
 * @param attrs Attributes.
 * @param children Children nodes.
 * @returns OpNode SVG element <view>
 */
export declare const view: (className?: string | undefined, attrs?: SVGViewElementAttrs | undefined, children?: string | number | import("ivi/dist/typings/vdom/operations").ValueOp<any> | import("ivi/dist/typings/vdom/operations").ContainerOp<any, any> | import("ivi").DOMElementOp<any> | import("ivi").EventsOp | import("ivi").ContextOp<any> | import("ivi").SetContextStateOp | import("ivi").TrackByKeyOp<any, any> | import("ivi").ComponentOp<any, any> | import("ivi").OpArray | null | undefined) => import("ivi").DOMElementOp<SVGViewElementAttrs | undefined>;
